Subject: bug#11439: Isearch and ucs-insert strangeness

From: Deniz Dogan <[email-masked]>
Date: Tue, 08 May 2012 22:51:19 +0200

I'm witnessing some strange behavior when using ucs-insert in
combination with isearch.

Reproduction:

$ runemacs.exe -Q

C-r
C-x 8 RET
C-g

At this point, we're back to normal.  Now let's try the same thing
again:

C-r
C-x 8 RET ;; I think this is where something goes wrong.
C-g
C-g

Notice how the mode line still says "Isearch", but we're actually not in
isearch at all.

If Emacs crashed, and you have the Emacs process in the gdb debugger,
please include the output from the following gdb commands:
     `bt full' and `xbacktrace'.
For information about debugging Emacs, please read the file
c:/misc/emacs/etc/DEBUG.

In GNU Emacs 24.1.50.1 (i386-mingw-nt6.1.7601)
  of 2012-04-12 on EKATERINA
Bzr revision: 107874 
[email-masked]
Windowing system distributor `Microsoft Corp.', version 6.1.7601
Configured using:
  `configure --with-gcc (4.6)'

Important settings:
   value of $LC_ALL: nil
   value of $LC_COLLATE: nil
   value of $LC_CTYPE: nil
   value of $LC_MESSAGES: nil
   value of $LC_MONETARY: nil
   value of $LC_NUMERIC: nil
   value of $LC_TIME: nil
   value of $LANG: SVE
   value of $XMODIFIERS: nil
   locale-coding-system: cp1252
   default enable-multibyte-characters: t

Major mode: Lisp Interaction

Minor modes in effect:
   tooltip-mode: t
   mouse-wheel-mode: t
   tool-bar-mode: t
   menu-bar-mode: t
   file-name-shadow-mode: t
   global-font-lock-mode: t
   font-lock-mode: t
   blink-cursor-mode: t
   auto-composition-mode: t
   auto-encryption-mode: t
   auto-compression-mode: t
   line-number-mode: t
   transient-mark-mode: t

Recent input:
C-r C-x 8 <return> H E A R T S-SPC W I T H S-SPC A
R R O W <return> C-r <return> C-g C-g C-t C-g C-r C-t
8 <return> C-- C-g C-g C-r C-x 8 <return> h <return>
C-g M-t M-x r e p o r t - e m a c s - b u g <retur
n>

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.
Quit [6 times]
transpose-subr-1: Don't have two things to transpose

Load-path shadows:
None found.

Features:
(shadow sort gnus-util mail-extr emacsbug message format-spec rfc822 mml
easymenu mml-sec mm-decode mm-bodies mm-encode mail-parse rfc2231
mailabbrev gmm-utils mailheader sendmail regexp-opt rfc2047 rfc2045
ietf-drums mm-util mail-prsvr mail-utils iso-transl multi-isearch
time-date tooltip ediff-hook vc-hooks lisp-float-type mwheel dos-w32
disp-table ls-lisp w32-win w32-vars tool-bar dnd fontset image fringe
lisp-mode register page menu-bar rfn-eshadow timer select scroll-bar
mouse jit-lock font-lock syntax facemenu font-core frame cham georgian
utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
japanese hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese case-table epa-hook jka-cmpr-hook help simple abbrev
minibuffer button faces cus-face files text-properties overlay sha1 md5
base64 format env code-pages mule custom widget hashtable-print-readable
backquote make-network-process multi-tty emacs)